package com.fjhx.xmhjc.controller.home;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.home.vo.HomeSettingVo;
import com.fjhx.xmhjc.entity.home.dto.HomeSettingSelectDto;
import com.fjhx.xmhjc.entity.home.dto.HomeSettingDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.xmhjc.service.home.HomeSettingService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.HashSet;
import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * <p>
 * 首页配置 前端控制器
 * </p>
 *
 * @author lqh
 * @since 2023-11-22
 */
@RestController
@RequestMapping("/homeSetting")
public class HomeSettingController {

    @Autowired
    private HomeSettingService homeSettingService;

    /**
     * 首页配置列表
     */
    @PostMapping("/list")
    public List<HomeSettingVo> list() {


        List<HomeSettingVo> list = homeSettingService.getList(new HomeSettingSelectDto());

        homeSettingService.initHomeSetting(list);

        homeSettingService.handHomeSetting(list);

        return list;
    }



    /**
     * 首页配置分页
     */
    @PostMapping("/page")
    public Page<HomeSettingVo> page(@RequestBody HomeSettingSelectDto dto) {
        return homeSettingService.getPage(dto);
    }

    /**
     * 首页配置明细
     */
    @PostMapping("/detail")
    public HomeSettingVo detail(@RequestBody BaseSelectDto dto) {
        return homeSettingService.detail(dto.getId());
    }

    /**
     * 首页配置新增
     */
    @PostMapping("/add")
    public void add(@RequestBody HomeSettingDto homeSettingDto) {
        homeSettingService.add(homeSettingDto);
    }

    /**
     * 首页配置编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody HomeSettingDto homeSettingDto) {
        homeSettingService.edit(homeSettingDto);
    }

    /**
     * 首页配置删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        homeSettingService.delete(dto.getId());
    }

}
