package com.fjhx.xmhjc.controller.open;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.about.vo.AboutUsHonorVo;
import com.fjhx.xmhjc.entity.column.dto.ColumnArticleDto;
import com.fjhx.xmhjc.entity.column.dto.ColumnArticleSelectDto;
import com.fjhx.xmhjc.entity.column.dto.ColumnMenuSelectDto;
import com.fjhx.xmhjc.entity.column.dto.ColumnMenuSubSelectDto;
import com.fjhx.xmhjc.entity.column.vo.ColumnArticleVo;
import com.fjhx.xmhjc.entity.column.vo.ColumnMenuSubVo;
import com.fjhx.xmhjc.entity.column.vo.ColumnMenuVo;
import com.fjhx.xmhjc.service.about.AboutUsHonorService;
import com.fjhx.xmhjc.service.column.ColumnArticleService;
import com.fjhx.xmhjc.service.column.ColumnMenuService;
import com.fjhx.xmhjc.service.column.ColumnMenuSubService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 菜单栏目文章 前端控制器
 *
 * @author lqh
 * @since 2023-11-13
 */
@RestController
@RequestMapping("/open/aboutUsHonor")
public class OpenColumnController {

    @Autowired
    private ColumnMenuService columnMenuService;
    @Autowired
    private ColumnMenuSubService columnMenuSubService;
    @Autowired
    private ColumnArticleService columnArticleService;

    /**
     * 菜单列表
     */
    @PostMapping("/getMenuListByOpen")
    public List<ColumnMenuVo> getMenuListByOpen() {
        ColumnMenuSelectDto dto = new ColumnMenuSelectDto();
        dto.setStatus("1");
        return columnMenuService.getMenuListByOpen(dto);
    }

    /**
     * 用于栏目类型图文 获取图文内容
     * @param
     * @return
     */
    @PostMapping("/getMenuDetailByOpen")
    public ColumnMenuVo getMenuDetailByOpen(@RequestBody ColumnMenuSelectDto dto) {
        dto.setStatus("1");
        return columnMenuService.getMenuDetailByOpen(dto.getId());
    }


    /**
     * 用于栏目类型列表  获取子栏目
     */
    @PostMapping("/getMenuSubListByOpen")
    public List<ColumnMenuSubVo> getMenuSubListByOpen(@RequestBody ColumnMenuSubSelectDto dto ) {
        dto.setStatus("1");
        return columnMenuSubService.getList(dto);
    }

    /**
     * 文章列表
     */
    @PostMapping("/getArticleByOpen")
    public Page<ColumnArticleVo> getArticleByOpen(@RequestBody ColumnArticleSelectDto dto ) {
        dto.setStatus("1");
        return columnArticleService.getArticleByOpen(dto);
    }


    /**
     * 获取文章详情
     * @param
     * @return
     */
    @PostMapping("/getArticleDetailByOpen")
    public ColumnArticleVo getArticleDetailByOpen(@RequestBody ColumnArticleSelectDto dto) {
        dto.setStatus("1");
        return columnArticleService.getArticleDetailByOpen(dto.getId());
    }

    /**
     * 点击阅读量
     * @param
     * @return
     */
    @PostMapping("/saveReadArticleNum")
    public void saveReadyArticleNum(@RequestBody ColumnArticleSelectDto dto) {
       columnArticleService.saveReadyArticleNum(dto.getId());
    }


    /**
     * 相关文章
     * 根据点击量排序
     * @param
     * @return
     */
    @PostMapping("/relatedArticles")
    public Page<ColumnArticleVo> relatedArticles(@RequestBody ColumnArticleSelectDto dto) {
        dto.setStatus("1");
        return columnArticleService.relatedArticles(dto);
    }

}
