package com.fjhx.xmhjc.service.home;

import com.fjhx.xmhjc.entity.home.po.HomeSetting;
import com.fjhx.xmhjc.entity.home.vo.HomeSettingByOpenVo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.home.vo.HomeSettingVo;
import com.fjhx.xmhjc.entity.home.dto.HomeSettingSelectDto;
import com.fjhx.xmhjc.entity.home.dto.HomeSettingDto;

import java.util.List;

/**
 * <p>
 * 首页配置 服务类
 * </p>
 *
 * @author lqh
 * @since 2023-11-22
 */
public interface HomeSettingService extends BaseService<HomeSetting> {

    /**
     * 首页配置列表
     */
    List<HomeSettingVo> getList(HomeSettingSelectDto dto);

    /**
     * 首页配置分页
     */
    Page<HomeSettingVo> getPage(HomeSettingSelectDto dto);

    /**
     * 首页配置明细
     */
    HomeSettingVo detail(Long id);

    /**
     * 首页配置新增
     */
    void add(HomeSettingDto homeSettingDto);

    /**
     * 首页配置编辑
     */
    void edit(HomeSettingDto homeSettingDto);

    /**
     * 首页配置删除
     */
    void delete(Long id);

    void initHomeSetting(List<HomeSettingVo> list);

    void handHomeSetting(List<HomeSettingVo> list);
    void handHomeSettingByOpen(List<HomeSettingByOpenVo> list);
}
