package com.fjhx.xmhjc.service.topic;

import com.fjhx.xmhjc.entity.topic.po.TopicReplies;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.topic.vo.TopicRepliesVo;
import com.fjhx.xmhjc.entity.topic.dto.TopicRepliesSelectDto;
import com.fjhx.xmhjc.entity.topic.dto.TopicRepliesDto;

import java.util.List;

/**
 * <p>
 * 主题回复 服务类
 * </p>
 *
 * @author hj
 * @since 2023-11-20
 */
public interface TopicRepliesService extends BaseService<TopicReplies> {

    /**
     * 主题回复列表
     */
    List<TopicRepliesVo> getList(TopicRepliesSelectDto dto);

    /**
     * 主题回复分页
     */
    Page<TopicRepliesVo> getPage(TopicRepliesSelectDto dto);

    /**
     * 主题回复明细
     */
    TopicRepliesVo detail(Long id);

    /**
     * 主题回复新增
     */
    void add(TopicRepliesDto topicRepliesDto);

    /**
     * 主题回复编辑
     */
    void edit(TopicRepliesDto topicRepliesDto);

    /**
     * 主题回复删除
     */
    void delete(Long id);

    Page<TopicRepliesVo> getPageByOpen(TopicRepliesSelectDto dto);

    Page<TopicRepliesVo> replyPage(TopicRepliesSelectDto dto);

    Boolean hasReply(Long id);
}
